package com.yfyy.iotx;

import java.util.HashMap;
import java.util.Map;

public class InsectCons {
    public static Map<Integer, String> CODE_NAME_MAP = new HashMap<>();
    static {
        CODE_NAME_MAP.put(1, "金龟子");
        CODE_NAME_MAP.put(2, "夜蛾");
        CODE_NAME_MAP.put(3, "二点委夜蛾");
        CODE_NAME_MAP.put(4, "梨剑纹夜蛾");
        CODE_NAME_MAP.put(5, "杨扇舟蛾");
        CODE_NAME_MAP.put(6, "舟蛾");
        CODE_NAME_MAP.put(7, "旋幽夜蛾");
        CODE_NAME_MAP.put(8, "蝼蛄");
        CODE_NAME_MAP.put(9, "歩甲");
        CODE_NAME_MAP.put(10, "螟蛾");
        CODE_NAME_MAP.put(11, "毛黄鳃金龟");
        CODE_NAME_MAP.put(12, "尺蛾");
        CODE_NAME_MAP.put(13, "剑纹夜蛾");
        CODE_NAME_MAP.put(14, "粉缘钻夜蛾");
        CODE_NAME_MAP.put(15, "夜蛾科");
        CODE_NAME_MAP.put(16, "七星瓢虫");
        CODE_NAME_MAP.put(17, "棉铃虫");
        CODE_NAME_MAP.put(18, "蜻蜓");
        CODE_NAME_MAP.put(19, "蚊");
        CODE_NAME_MAP.put(20, "东方粘虫");
        CODE_NAME_MAP.put(21, "叶蝉");
        CODE_NAME_MAP.put(22, "春尺蠖");
        CODE_NAME_MAP.put(23, "雄性春尺蠖");
        CODE_NAME_MAP.put(24, "杨小舟蛾");
        CODE_NAME_MAP.put(25, "甘蓝夜蛾");
        CODE_NAME_MAP.put(26, "小地老虎");
        CODE_NAME_MAP.put(27, "两点尼夜蛾");
        CODE_NAME_MAP.put(28, "柳阴翅斑螟");
        CODE_NAME_MAP.put(29, "桑褶翅尺蛾");
        CODE_NAME_MAP.put(30, "宽胫夜蛾");
        CODE_NAME_MAP.put(31, "尺蠖");
        CODE_NAME_MAP.put(32, "一点钻夜蛾");
        CODE_NAME_MAP.put(33, "天蛾");
        CODE_NAME_MAP.put(34, "裳夜蛾");
        CODE_NAME_MAP.put(35, "灯蛾");
        CODE_NAME_MAP.put(36, "美国白蛾");
        CODE_NAME_MAP.put(37, "八字白眉天蛾");
        CODE_NAME_MAP.put(38, "陌夜蛾");
        CODE_NAME_MAP.put(39, "豆天蛾");
        CODE_NAME_MAP.put(40, "麦蛾");
        CODE_NAME_MAP.put(41, "围连环夜蛾");
        CODE_NAME_MAP.put(42, "亚美尺蛾");
        CODE_NAME_MAP.put(43, "梨星毛虫");
        CODE_NAME_MAP.put(44, "银锭夜蛾");
        CODE_NAME_MAP.put(45, "黄臀灯蛾");
        CODE_NAME_MAP.put(46, "大螟");
        CODE_NAME_MAP.put(47, "燕尾舟蛾");
        CODE_NAME_MAP.put(48, "榆津尺蛾");
        CODE_NAME_MAP.put(49, "朽木夜蛾");
        CODE_NAME_MAP.put(50, "黄地老虎");
        CODE_NAME_MAP.put(51, "白钩粘夜蛾");
        CODE_NAME_MAP.put(52, "桃蛀螟");
        CODE_NAME_MAP.put(53, "甜菜夜蛾");
        CODE_NAME_MAP.put(54, "斜纹夜蛾");
        CODE_NAME_MAP.put(55, "蚀夜蛾");
        CODE_NAME_MAP.put(56, "淡银锭夜蛾");
        CODE_NAME_MAP.put(57, "齿美冬夜蛾");
        CODE_NAME_MAP.put(58, "一点金刚钻");
        CODE_NAME_MAP.put(59, "胡桃豹夜蛾");
        CODE_NAME_MAP.put(60, "桑剑纹夜蛾");
        CODE_NAME_MAP.put(61, "蓝目天蛾");
        CODE_NAME_MAP.put(62, "黑绒鳃金龟");
        CODE_NAME_MAP.put(63, "烟青虫");
        CODE_NAME_MAP.put(64, "暗黑鳃金龟");
        CODE_NAME_MAP.put(65, "中华绒金龟");
        CODE_NAME_MAP.put(66, "八字地老虎");
        CODE_NAME_MAP.put(67, "榆绿天蛾");
        CODE_NAME_MAP.put(68, "红星雪灯蛾");
        CODE_NAME_MAP.put(69, "雀纹天蛾");
        CODE_NAME_MAP.put(70, "铜绿丽金龟");
        CODE_NAME_MAP.put(71, "水龟虫/水龟");
        CODE_NAME_MAP.put(72, "曲线尼夜蛾");
        CODE_NAME_MAP.put(73, "粘虫");
        CODE_NAME_MAP.put(74, "瘦银锭夜蛾");
        CODE_NAME_MAP.put(75, "红天蛾");
        CODE_NAME_MAP.put(76, "鳃金龟");
        CODE_NAME_MAP.put(77, "大黑鳃金龟");
        CODE_NAME_MAP.put(78, "大地老虎");
        CODE_NAME_MAP.put(79, "玉米螟");
        CODE_NAME_MAP.put(80, "赤角盲蝽");
        CODE_NAME_MAP.put(81, "槐尺蛾");
        CODE_NAME_MAP.put(82, "银纹夜蛾");
        CODE_NAME_MAP.put(83, "天牛");
        CODE_NAME_MAP.put(84, "乏夜蛾");
        CODE_NAME_MAP.put(85, "丁香天蛾");
        CODE_NAME_MAP.put(86, "构月天蛾");
        CODE_NAME_MAP.put(87, "虎甲");
        CODE_NAME_MAP.put(88, "劳氏粘虫");
        CODE_NAME_MAP.put(89, "白薯天蛾");
        CODE_NAME_MAP.put(90, "广鹿蛾");
        CODE_NAME_MAP.put(91, "二十八星瓢虫");
        CODE_NAME_MAP.put(92, "腮金龟");
        CODE_NAME_MAP.put(93, "人纹污夜蛾");
        CODE_NAME_MAP.put(94, "叩甲");
        CODE_NAME_MAP.put(95, "楸蠹野螟");
        CODE_NAME_MAP.put(96, "丝绵木金星尺蛾");
        CODE_NAME_MAP.put(97, "红缘灯蛾");
        CODE_NAME_MAP.put(98, "黄褐丽金龟");
        CODE_NAME_MAP.put(99, "螟蛾科");
        CODE_NAME_MAP.put(100, "红棕灰夜蛾");
        CODE_NAME_MAP.put(101, "");
        CODE_NAME_MAP.put(102, "广鹿灯蛾");
        CODE_NAME_MAP.put(103, "蝽");
        CODE_NAME_MAP.put(104, "蜂");
        CODE_NAME_MAP.put(105, "大造桥虫");
        CODE_NAME_MAP.put(106, "童剑纹夜蛾");
        CODE_NAME_MAP.put(107, "晃剑纹夜蛾");
        CODE_NAME_MAP.put(108, "钩粘虫");
        CODE_NAME_MAP.put(109, "直影夜蛾");
        CODE_NAME_MAP.put(110, "毛黄绢金龟");
        CODE_NAME_MAP.put(111, "乌氏小尾天蚕蛾");
        CODE_NAME_MAP.put(112, "褐边绿刺蛾");
        CODE_NAME_MAP.put(113, "广鹿舟蛾");
        CODE_NAME_MAP.put(114, "");
        CODE_NAME_MAP.put(115, "龙虱");
        CODE_NAME_MAP.put(116, "双带盘瓢虫");
        CODE_NAME_MAP.put(117, "槲犹冬夜蛾");
        CODE_NAME_MAP.put(118, "洋槐天蛾");
        CODE_NAME_MAP.put(119, "弧角散纹夜蛾");
        CODE_NAME_MAP.put(120, "黄脉天蛾");
        CODE_NAME_MAP.put(121, "葡萄天蛾");
        CODE_NAME_MAP.put(122, "桃六点天蛾");
        CODE_NAME_MAP.put(123, "异色瓢虫");
        CODE_NAME_MAP.put(124, "榆黄足毒蛾");
        CODE_NAME_MAP.put(125, "客来夜蛾");
        CODE_NAME_MAP.put(126, "桦尺蛾");
        CODE_NAME_MAP.put(127, "草地螟");
        CODE_NAME_MAP.put(128, "细条纹野螟");
        CODE_NAME_MAP.put(129, "污灯蛾属");
        CODE_NAME_MAP.put(130, "杨二尾舟蛾");
        CODE_NAME_MAP.put(131, "克什杆野螟");
        CODE_NAME_MAP.put(132, "筱客来夜蛾");
        CODE_NAME_MAP.put(133, "栗六点天蛾");
        CODE_NAME_MAP.put(134, "紫光盾天蛾");
        CODE_NAME_MAP.put(135, "款冬玉米螟");
        CODE_NAME_MAP.put(136, "草蛉");
        CODE_NAME_MAP.put(137, "亚麻篱灯蛾");
        CODE_NAME_MAP.put(138, "扁连环夜蛾");
        CODE_NAME_MAP.put(139, "圣蜣螂");
        CODE_NAME_MAP.put(140, "白钩粘虫");
        CODE_NAME_MAP.put(141, "苇实夜蛾");
        CODE_NAME_MAP.put(142, "姬蜂");
        CODE_NAME_MAP.put(143, "秘夜蛾");
        CODE_NAME_MAP.put(144, "织网夜蛾");
        CODE_NAME_MAP.put(145, "深色白眉天蛾");
        CODE_NAME_MAP.put(146, "短扇舟蛾");
        CODE_NAME_MAP.put(147, "白须天蛾");
        CODE_NAME_MAP.put(148, "歌梦尼夜蛾");
        CODE_NAME_MAP.put(149, "海安夜蛾");
        CODE_NAME_MAP.put(150, "满丫纹夜蛾");
        CODE_NAME_MAP.put(151, "蟋蟀");
        CODE_NAME_MAP.put(152, "双斑青步甲");
        CODE_NAME_MAP.put(153, "白条夜蛾");
        CODE_NAME_MAP.put(154, "蟪蛄");
        CODE_NAME_MAP.put(155, "负子蝽");
        CODE_NAME_MAP.put(156, "脊青步甲");
        CODE_NAME_MAP.put(157, "宽斑青步甲");
        CODE_NAME_MAP.put(158, "稻纵卷叶螟");
        CODE_NAME_MAP.put(159, "淡剑夜蛾");
        CODE_NAME_MAP.put(160, "甜菜白带野螟");
        CODE_NAME_MAP.put(161, "樗蚕");
        CODE_NAME_MAP.put(162, "蒙古寒蝉");
        CODE_NAME_MAP.put(163, "中带三角夜蛾");
        CODE_NAME_MAP.put(164, "蝗虫");
        CODE_NAME_MAP.put(165, "多色异丽金龟");
        CODE_NAME_MAP.put(166, "白色小卷蛾");
        CODE_NAME_MAP.put(167, "狭边青步甲");
        CODE_NAME_MAP.put(168, "棉卷叶野螟");
        CODE_NAME_MAP.put(169, "豆荚野螟");
        CODE_NAME_MAP.put(170, "麻小食心虫");
        CODE_NAME_MAP.put(171, "星斑虎甲");
        CODE_NAME_MAP.put(172, "黄缘龙虱");
        CODE_NAME_MAP.put(173, "无斑弧丽金龟");
        CODE_NAME_MAP.put(174, "白额鹰翅天蛾");
        CODE_NAME_MAP.put(175, "日本真龙虱");
        CODE_NAME_MAP.put(176, "山东云斑螟");
        CODE_NAME_MAP.put(177, "小文夜蛾");
        CODE_NAME_MAP.put(178, "三条蛀野螟");
        CODE_NAME_MAP.put(179, "榆掌舟蛾");
        CODE_NAME_MAP.put(180, "刺槐掌舟蛾");
        CODE_NAME_MAP.put(181, "星绒天蛾");
        CODE_NAME_MAP.put(182, "杨剑舟蛾");
        CODE_NAME_MAP.put(183, "刀夜蛾");
        CODE_NAME_MAP.put(184, "红节天蛾");
        CODE_NAME_MAP.put(185, "星白雪灯蛾");
        CODE_NAME_MAP.put(186, "桃剑纹夜蛾");
        CODE_NAME_MAP.put(187, "谐夜蛾");
        CODE_NAME_MAP.put(188, "小剑纹夜蛾");
        CODE_NAME_MAP.put(189, "鸣鸣蝉");
        CODE_NAME_MAP.put(190, "姬夜蛾");
        CODE_NAME_MAP.put(191, "落叶松毛虫");
        CODE_NAME_MAP.put(192, "苹六点天蛾");
        CODE_NAME_MAP.put(193, "四斑绢野螟");
        CODE_NAME_MAP.put(194, "甘薯天蛾");
        CODE_NAME_MAP.put(195, "小线角木蠹蛾");
        CODE_NAME_MAP.put(196, "三斑蕊夜蛾");
        CODE_NAME_MAP.put(197, "白雪灯蛾");
        CODE_NAME_MAP.put(198, "黄刺蛾");
        CODE_NAME_MAP.put(199, "茶翅蝽");
        CODE_NAME_MAP.put(200, "杨树枯叶蛾");
        CODE_NAME_MAP.put(201, "标瑙夜蛾");
        CODE_NAME_MAP.put(202, "瓜绢野螟");
        CODE_NAME_MAP.put(203, "稻绿蝽");
        CODE_NAME_MAP.put(204, "杨雪毒蛾");
        CODE_NAME_MAP.put(205, "榆白边舟蛾");
        CODE_NAME_MAP.put(206, "扁刺蛾");
        CODE_NAME_MAP.put(207, "绒黏夜蛾");
        CODE_NAME_MAP.put(208, "庸肖毛翅夜蛾");
        CODE_NAME_MAP.put(209, "中华婪步甲");
        CODE_NAME_MAP.put(210, "褐黄前锹甲");
        CODE_NAME_MAP.put(211, "旱柳原野螟");
        CODE_NAME_MAP.put(212, "巨影夜蛾");
        CODE_NAME_MAP.put(213, "食蚜蝇");
        CODE_NAME_MAP.put(214, "双斑葬甲");
        CODE_NAME_MAP.put(215, "黄毒蛾");
        CODE_NAME_MAP.put(216, "婪步甲");
        CODE_NAME_MAP.put(217, "土甲");
        CODE_NAME_MAP.put(218, "中华真地鳖");
        CODE_NAME_MAP.put(219, "紫线夜蛾");
        CODE_NAME_MAP.put(220, "小黄鳃金龟");
        CODE_NAME_MAP.put(221, "中华真土鳖");
        CODE_NAME_MAP.put(222, "云斑虎甲");
        CODE_NAME_MAP.put(223, "中华黧尺蛾");
        CODE_NAME_MAP.put(224, "中华绿刺蛾");
        CODE_NAME_MAP.put(225, "巨豹纹尺蛾");
        CODE_NAME_MAP.put(226, "多斑豹蠹蛾");
        CODE_NAME_MAP.put(227, "桑尺蛾");
        CODE_NAME_MAP.put(228, "灰直纹螟");
        CODE_NAME_MAP.put(229, "中国绿刺蛾");
        CODE_NAME_MAP.put(230, "云杉梢斑螟");
        CODE_NAME_MAP.put(231, "桑绢野螟");
        CODE_NAME_MAP.put(232, "黄杨绢野螟");
        CODE_NAME_MAP.put(233, "突背斑红蝽");
        CODE_NAME_MAP.put(234, "高粱条螟");
        CODE_NAME_MAP.put(235, "小麦负泥虫");
        CODE_NAME_MAP.put(236, "苹掌舟蛾");
        CODE_NAME_MAP.put(237, "绒粘夜蛾");
        CODE_NAME_MAP.put(238, "灰白灯蛾");
        CODE_NAME_MAP.put(239, "隐丫纹夜蛾");
        CODE_NAME_MAP.put(240, "满纹夜蛾");
        CODE_NAME_MAP.put(241, "黑剑狼夜蛾");
        CODE_NAME_MAP.put(242, "蜣螂");
        CODE_NAME_MAP.put(243, "福婆鳃金龟");
        CODE_NAME_MAP.put(244, "雨尺蛾");
        CODE_NAME_MAP.put(245, "优美苔蛾");
        CODE_NAME_MAP.put(246, "黄斑野螟");
        CODE_NAME_MAP.put(247, "疆夜蛾");
        CODE_NAME_MAP.put(248, "六点天蛾");
        CODE_NAME_MAP.put(249, "斜线夜蛾");
        CODE_NAME_MAP.put(250, "石榴巾夜蛾");
        CODE_NAME_MAP.put(251, "绒星天蛾");
        CODE_NAME_MAP.put(252, "霜天蛾");
        CODE_NAME_MAP.put(253, "大田鳖");
        CODE_NAME_MAP.put(254, "灰双纹螟");
        CODE_NAME_MAP.put(255, "青尺蛾");
        CODE_NAME_MAP.put(256, "二线绿尺蛾");
        CODE_NAME_MAP.put(257, "散纹夜蛾");
        CODE_NAME_MAP.put(258, "红双线尺蛾");
        CODE_NAME_MAP.put(259, "胞短栉夜蛾");
        CODE_NAME_MAP.put(260, "飞虱科");
        CODE_NAME_MAP.put(261, "桃多斑野螟");
        CODE_NAME_MAP.put(262, "甜菜青野螟");
        CODE_NAME_MAP.put(263, "核桃鹰翅天蛾");
        CODE_NAME_MAP.put(264, "角顶尺蛾");
        CODE_NAME_MAP.put(265, "葡萄缺角天蛾");
        CODE_NAME_MAP.put(266, "绿尾大蚕蛾");
        CODE_NAME_MAP.put(267, "杨褐枯叶蝶");
        CODE_NAME_MAP.put(268, "双云尺蛾");
        CODE_NAME_MAP.put(269, "斑拟兜夜蛾");
        CODE_NAME_MAP.put(270, "阿莎尺蛾");
        CODE_NAME_MAP.put(271, "榄绿岐角螟");
        CODE_NAME_MAP.put(272, "青革土蝽");
        CODE_NAME_MAP.put(273, "核桃美舟蛾");
        CODE_NAME_MAP.put(274, "斑点卷叶螟");
        CODE_NAME_MAP.put(275, "黄褐箩纹蛾");
        CODE_NAME_MAP.put(276, "白环红天蛾");
        CODE_NAME_MAP.put(277, "白腹网丛螟");
        CODE_NAME_MAP.put(278, "枯叶蛾");
        CODE_NAME_MAP.put(279, "丹日明夜蛾");
        CODE_NAME_MAP.put(280, "仿白边舟蛾");
        CODE_NAME_MAP.put(281, "槐羽舟蛾");
        CODE_NAME_MAP.put(282, "草地贪夜蛾");
        CODE_NAME_MAP.put(283, "环夜蛾");
        CODE_NAME_MAP.put(284, "尘尺蛾");
        CODE_NAME_MAP.put(285, "黄二星舟蛾");
        CODE_NAME_MAP.put(286, "榆木蠹蛾");
        CODE_NAME_MAP.put(287, "水黾");
        CODE_NAME_MAP.put(288, "银装冬夜蛾");
        CODE_NAME_MAP.put(289, "饰奇尺蛾");
        CODE_NAME_MAP.put(290, "枯叶蝶");
        CODE_NAME_MAP.put(291, "步甲");
        CODE_NAME_MAP.put(292, "阔胸禾犀金龟");
        CODE_NAME_MAP.put(293, "眼斑钩蛾");
        CODE_NAME_MAP.put(294, "三开蜣螂");
        CODE_NAME_MAP.put(295, "金星步甲");
        CODE_NAME_MAP.put(296, "残夜蛾");
        CODE_NAME_MAP.put(297, "野蚕蛾");
        CODE_NAME_MAP.put(298, "芦苇豹蠹蛾");
        CODE_NAME_MAP.put(299, "华晓扁犀金龟");
        CODE_NAME_MAP.put(300, "灰胸突鳃金龟");
        CODE_NAME_MAP.put(301, "龟纹瓢虫");
        CODE_NAME_MAP.put(302, "麻皮蝽");
        CODE_NAME_MAP.put(303, "斑须蝽");
        CODE_NAME_MAP.put(304, "斜斑虎甲");
        CODE_NAME_MAP.put(305, "地鳖");
        CODE_NAME_MAP.put(306, "叶甲");
        CODE_NAME_MAP.put(307, "燕夜蛾");
        CODE_NAME_MAP.put(308, "黑纹北灯蛾");
        CODE_NAME_MAP.put(309, "网夜蛾");
        CODE_NAME_MAP.put(310, "棘翅夜蛾");
        CODE_NAME_MAP.put(311, "规尺蛾");
        CODE_NAME_MAP.put(312, "苜蓿银纹夜蛾");
        CODE_NAME_MAP.put(313, "拟扇舟蛾");
        CODE_NAME_MAP.put(314, "丁目大蚕蛾");
        CODE_NAME_MAP.put(315, "金黄蛾");
        CODE_NAME_MAP.put(316, "黄星雪灯蛾");
        CODE_NAME_MAP.put(317, "暗纹紫褐螟");
        CODE_NAME_MAP.put(318, "白眉天蛾");
        CODE_NAME_MAP.put(319, "黄板盘瓢虫");
        CODE_NAME_MAP.put(320, "玫岐角螟");
        CODE_NAME_MAP.put(321, "枯黄贡尺蛾");
        CODE_NAME_MAP.put(322, "小豆长喙天蛾");
        CODE_NAME_MAP.put(323, "橙拟灯蛾");
        CODE_NAME_MAP.put(324, "粉蝶灯蛾");
        CODE_NAME_MAP.put(325, "纹散丽灯蛾");
        CODE_NAME_MAP.put(326, "雪尾尺蛾");
        CODE_NAME_MAP.put(327, "鹰翅天蛾");
        CODE_NAME_MAP.put(328, "波纹蛾");
        CODE_NAME_MAP.put(329, "黑条灰灯蛾");
        CODE_NAME_MAP.put(330, "八点灰灯蛾");
        CODE_NAME_MAP.put(331, "间纹弦夜蛾");
        CODE_NAME_MAP.put(332, "缤夜蛾");
        CODE_NAME_MAP.put(333, "樟蚕");
        CODE_NAME_MAP.put(334, "乌夜蛾");
        CODE_NAME_MAP.put(335, "亮棲夜蛾");
        CODE_NAME_MAP.put(336, "鸟嘴壶夜蛾");
        CODE_NAME_MAP.put(337, "榕透翅毒蛾");
        CODE_NAME_MAP.put(338, "四星负葬甲");
        CODE_NAME_MAP.put(339, "魔目夜蛾");
        CODE_NAME_MAP.put(340, "华尾天蚕蛾");
        CODE_NAME_MAP.put(341, "洋麻钩蛾");
        CODE_NAME_MAP.put(342, "旋皮夜蛾");
        CODE_NAME_MAP.put(343, "奇尺蛾");
        CODE_NAME_MAP.put(344, "土元");
        CODE_NAME_MAP.put(345, "肯髯须夜蛾");
        CODE_NAME_MAP.put(346, "苹果卷叶蛾");
        CODE_NAME_MAP.put(347, "矛夜蛾");
        CODE_NAME_MAP.put(348, "斜线燕蛾");
        CODE_NAME_MAP.put(349, "红秘夜蛾");
        CODE_NAME_MAP.put(350, "桃红猎夜蛾");
        CODE_NAME_MAP.put(351, "帕委夜蛾");
        CODE_NAME_MAP.put(352, "奚毛胫夜蛾");
        CODE_NAME_MAP.put(353, "委夜蛾");
        CODE_NAME_MAP.put(354, "角翅舟蛾");
        CODE_NAME_MAP.put(355, "戟盗毒蛾");
        CODE_NAME_MAP.put(356, "瓢虫");
        CODE_NAME_MAP.put(357, "隐尺蛾");
        CODE_NAME_MAP.put(358, "");
        CODE_NAME_MAP.put(359, "金龟");
        CODE_NAME_MAP.put(360, "花金龟");
        CODE_NAME_MAP.put(361, "白褐缘尾尺蛾");
        CODE_NAME_MAP.put(362, "金黄螟");
        CODE_NAME_MAP.put(363, "云斑白条天牛");
        CODE_NAME_MAP.put(364, "瓦矛夜蛾");
        CODE_NAME_MAP.put(365, "二化螟");
        CODE_NAME_MAP.put(366, "菜粉蝶");
        CODE_NAME_MAP.put(367, "杨枯叶蛾");
        CODE_NAME_MAP.put(368, "淡剑纹夜蛾");
        CODE_NAME_MAP.put(369, "焰夜蛾");
        CODE_NAME_MAP.put(370, "二点织螟");
        CODE_NAME_MAP.put(371, "白钩小卷蛾");
        CODE_NAME_MAP.put(372, "女贞天蛾");
        CODE_NAME_MAP.put(373, "锹甲");
        CODE_NAME_MAP.put(374, "艾锥额野螟");
        CODE_NAME_MAP.put(375, "白星花金龟");
        CODE_NAME_MAP.put(376, "毒蛾");
        CODE_NAME_MAP.put(377, "二点织蛾");
        CODE_NAME_MAP.put(378, "萝藦艳情尺蛾");
        CODE_NAME_MAP.put(379, "苹枯叶蛾");
        CODE_NAME_MAP.put(380, "哈展尺蛾");
        CODE_NAME_MAP.put(381, "中金弧夜蛾");
        CODE_NAME_MAP.put(382, "黄斑盘瓢虫");
        CODE_NAME_MAP.put(383, "缘黄毒蛾");
        CODE_NAME_MAP.put(384, "蠹蛾");
        CODE_NAME_MAP.put(385, "土鳖");
        CODE_NAME_MAP.put(386, "人纹污灯蛾");
        CODE_NAME_MAP.put(387, "松黑天蛾");
        CODE_NAME_MAP.put(388, "蚜虫");
        CODE_NAME_MAP.put(389, "萝藦艳青尺蛾");
        CODE_NAME_MAP.put(390, "苹蚂舟蛾");
        CODE_NAME_MAP.put(391, "木橑尺蛾");
        CODE_NAME_MAP.put(392, "红蝽");
        CODE_NAME_MAP.put(393, "掌尺蛾");
        CODE_NAME_MAP.put(394, "肖浑黄灯蛾");
        CODE_NAME_MAP.put(395, "阳污灯蛾");
        CODE_NAME_MAP.put(396, "黄缘苔蛾");
        CODE_NAME_MAP.put(397, "丽金龟");
        CODE_NAME_MAP.put(398, "犀金龟");
        CODE_NAME_MAP.put(399, "卷蛾");
        CODE_NAME_MAP.put(400, "钩蛾");
        CODE_NAME_MAP.put(401, "红尾大蚕蛾");
        CODE_NAME_MAP.put(402, "刺蛾");
        CODE_NAME_MAP.put(403, "玫瑰巾夜蛾");
        CODE_NAME_MAP.put(404, "双委夜蛾");
        CODE_NAME_MAP.put(405, "油松毛虫");
        CODE_NAME_MAP.put(406, "朝鲜东蚁蛉");
        CODE_NAME_MAP.put(407, "焦边尺蛾");
        CODE_NAME_MAP.put(408, "黾蝽");
        CODE_NAME_MAP.put(409, "苔蛾");
        CODE_NAME_MAP.put(410, "");
        CODE_NAME_MAP.put(411, "蜚蠊");
        CODE_NAME_MAP.put(412, "小蠹");
        CODE_NAME_MAP.put(413, "桔小实蝇");
        CODE_NAME_MAP.put(414, "水龟甲");
        CODE_NAME_MAP.put(415, "大蚊");
        CODE_NAME_MAP.put(416, "华北蝼蛄");
        CODE_NAME_MAP.put(417, "豹纹卷野螟");
        CODE_NAME_MAP.put(418, "长蝽");
        CODE_NAME_MAP.put(419, "蠼螋");
        CODE_NAME_MAP.put(420, "缘蝽");
        CODE_NAME_MAP.put(421, "粪金龟");
        CODE_NAME_MAP.put(422, "隐翅虫");
        CODE_NAME_MAP.put(423, "象甲");
        CODE_NAME_MAP.put(424, "猎蝽");
        CODE_NAME_MAP.put(425, "东方蝼蛄");
        CODE_NAME_MAP.put(426, "油葫芦");
        CODE_NAME_MAP.put(427, "阔胫鰓金龟");
        CODE_NAME_MAP.put(428, "棉大造桥虫");
        CODE_NAME_MAP.put(429, "绒毛曲斑青地甲");
        CODE_NAME_MAP.put(430, "葬甲");
        CODE_NAME_MAP.put(431, "珀蝽");
        CODE_NAME_MAP.put(432, "怀羽舟蛾");
        CODE_NAME_MAP.put(433, "大云鳃金龟");
        CODE_NAME_MAP.put(434, "赏夜蛾");
        CODE_NAME_MAP.put(435, "甜菜夜螟");
        CODE_NAME_MAP.put(436, "红带新鹿蛾");
        CODE_NAME_MAP.put(437, "亚洲玉米螟");
        CODE_NAME_MAP.put(438, "白肩天蛾");
        CODE_NAME_MAP.put(439, "双斑辉尺蛾");
        CODE_NAME_MAP.put(441, "构星天蛾");
        CODE_NAME_MAP.put(442, "双叉犀牛龟");
        CODE_NAME_MAP.put(443, "珀蝽");
        CODE_NAME_MAP.put(444, "蚁");
        CODE_NAME_MAP.put(445, "金黄娟金龟");
        CODE_NAME_MAP.put(446, "黑色蔗龟");
        CODE_NAME_MAP.put(447, "蝇");
        CODE_NAME_MAP.put(448, "石蛾");
        CODE_NAME_MAP.put(449, "螳螂");
        CODE_NAME_MAP.put(450, "胡蜂");
        CODE_NAME_MAP.put(451, "蝉");
        CODE_NAME_MAP.put(452, "大斑波纹蛾");
        CODE_NAME_MAP.put(453, "黑图夜蛾");
        CODE_NAME_MAP.put(454, "黄星尺灯蛾");
        CODE_NAME_MAP.put(455, "天蚕蛾");
        CODE_NAME_MAP.put(456, "");
        CODE_NAME_MAP.put(457, "揪野螟");
        CODE_NAME_MAP.put(458, "蚁蛉");
        CODE_NAME_MAP.put(459, "绿盲蝽");
        CODE_NAME_MAP.put(460, "丝棉木金星大尺蛾");
        CODE_NAME_MAP.put(461, "蛱蝶");
        CODE_NAME_MAP.put(462, "毛黄金龟");
        CODE_NAME_MAP.put(463, "猎蝽");
        CODE_NAME_MAP.put(464, "蚙");
        CODE_NAME_MAP.put(465, "叩头甲");
        CODE_NAME_MAP.put(466, "褐蛉");
        CODE_NAME_MAP.put(467, "谷蠧");
        CODE_NAME_MAP.put(468, "吉丁虫");
        CODE_NAME_MAP.put(469, "东亚飞蝗");
        CODE_NAME_MAP.put(470, "白雪灰灯蛾");
        CODE_NAME_MAP.put(471, "泛尺蛾");
        CODE_NAME_MAP.put(472, "蚊科");
        CODE_NAME_MAP.put(473, "摇蚊");
        CODE_NAME_MAP.put(474, "野螟");
        CODE_NAME_MAP.put(475, "草螟");
        CODE_NAME_MAP.put(476, "拟步甲");
        CODE_NAME_MAP.put(477, "麦蝽");
        CODE_NAME_MAP.put(478, "黑带食蚜蝇");
        CODE_NAME_MAP.put(479, "东方蜜蜂");
        CODE_NAME_MAP.put(481, "吉丁甲");
        CODE_NAME_MAP.put(482, "金边龙虱");
        CODE_NAME_MAP.put(483, "划蝽");
        CODE_NAME_MAP.put(484, "叶蜂");
        CODE_NAME_MAP.put(485, "中华扁锹");
        CODE_NAME_MAP.put(486, "浮金龟");
        CODE_NAME_MAP.put(487, "杂似谷盗");
        CODE_NAME_MAP.put(488, "双齿蝼步甲");
        CODE_NAME_MAP.put(489, "大团扇春蜓");
        CODE_NAME_MAP.put(490, "爪哇异食蚜蝇");
        CODE_NAME_MAP.put(491, "夹竹桃天蛾");
        CODE_NAME_MAP.put(492, "大水龟甲");
        CODE_NAME_MAP.put(493, "桑天牛");
        CODE_NAME_MAP.put(494, "红脊长蝽");
        CODE_NAME_MAP.put(495, "豆娘");
        CODE_NAME_MAP.put(496, "蝼步甲");
        CODE_NAME_MAP.put(497, "仰泳蝽");
        CODE_NAME_MAP.put(498, "蝽蜓");
        CODE_NAME_MAP.put(499, "印度谷螟");
        CODE_NAME_MAP.put(500, "叶甲科");
        CODE_NAME_MAP.put(501, "棉大卷叶螟");
        CODE_NAME_MAP.put(502, "伪叶甲");
        CODE_NAME_MAP.put(503, "屁步甲");
        CODE_NAME_MAP.put(504, "异粉蝶灯蛾");
        CODE_NAME_MAP.put(505, "白禾螟");
        CODE_NAME_MAP.put(506, "棕色腮金龟");
        CODE_NAME_MAP.put(507, "芋双线天蛾");
        CODE_NAME_MAP.put(508, "盲蝽");
        CODE_NAME_MAP.put(509, "鲜黄鳃金龟");
        CODE_NAME_MAP.put(510, "");
        CODE_NAME_MAP.put(511, "红腹白灯蛾");
        CODE_NAME_MAP.put(512, "长缘天蛾");
        CODE_NAME_MAP.put(513, "");
        CODE_NAME_MAP.put(514, "箩纹蛾");
        CODE_NAME_MAP.put(515, "叉斜带毒蛾");
        CODE_NAME_MAP.put(516, "丝绵木尺蛾");
        CODE_NAME_MAP.put(517, "绿刺蛾");
        CODE_NAME_MAP.put(518, "谷类大蚊");
        CODE_NAME_MAP.put(519, "臭椿皮夜蛾");
        CODE_NAME_MAP.put(521, "星白灯蛾");
        CODE_NAME_MAP.put(522, "白蜡绢野螟");
        CODE_NAME_MAP.put(523, "蟑螂（蜚蠊，标号：411）");
        CODE_NAME_MAP.put(524, "枣六点天蛾");
        CODE_NAME_MAP.put(525, "虻");
        CODE_NAME_MAP.put(526, "紫斑谷螟");
        CODE_NAME_MAP.put(527, "豆荚斑螟");
        CODE_NAME_MAP.put(528, "红缘翅斑蛾");
        CODE_NAME_MAP.put(529, "柳毒蛾");
        CODE_NAME_MAP.put(530, "兀鲁夜蛾");
        CODE_NAME_MAP.put(531, "蜜蜂");
        CODE_NAME_MAP.put(532, "麦牧野螟");
        CODE_NAME_MAP.put(533, "紫线尺蛾");
        CODE_NAME_MAP.put(534, "内夜蛾");
        CODE_NAME_MAP.put(535, "粉纹夜蛾");
        CODE_NAME_MAP.put(536, "金黄绢金龟");
        CODE_NAME_MAP.put(537, "掌舟蛾");
        CODE_NAME_MAP.put(538, "丝棉木尺蛾");
        CODE_NAME_MAP.put(539, "绢金龟");
        CODE_NAME_MAP.put(540, "枣桃六点天蛾");
        CODE_NAME_MAP.put(541, "黏虫");
        CODE_NAME_MAP.put(542, "条背天蛾");
        CODE_NAME_MAP.put(543, "臭椿皮蛾");
        CODE_NAME_MAP.put(544, "甘薯绮夜蛾");
        CODE_NAME_MAP.put(545, "茶黄毒蛾");
        CODE_NAME_MAP.put(546, "葡萄透翅蛾");
        CODE_NAME_MAP.put(547, "白二尾舟蛾");
        CODE_NAME_MAP.put(548, "八点灯蛾");
        CODE_NAME_MAP.put(549, "绿尾天蚕蛾");
        CODE_NAME_MAP.put(550, "萝纹蛾");
        CODE_NAME_MAP.put(551, "豹纹木蠧蛾");
        CODE_NAME_MAP.put(552, "舞虻");
        CODE_NAME_MAP.put(553, "茎蜂");
        CODE_NAME_MAP.put(554, "大草蛉");
        CODE_NAME_MAP.put(555, "胡麻斑星尺蛾");
        CODE_NAME_MAP.put(556, "蜉蝣");
        CODE_NAME_MAP.put(557, "尖尾尺蛾");
        CODE_NAME_MAP.put(558, "黄扬绢野螟");
        CODE_NAME_MAP.put(559, "蚕蛾");
        CODE_NAME_MAP.put(561, "红双线尺蛾");
        CODE_NAME_MAP.put(562, "琴纹尺蛾");
        CODE_NAME_MAP.put(563, "双斜线尺蛾");
        CODE_NAME_MAP.put(564, "白夜蛾");
        CODE_NAME_MAP.put(565, "黄褐丽金闹");
        CODE_NAME_MAP.put(566, "谷盗");
        CODE_NAME_MAP.put(567, "三化螟");
        CODE_NAME_MAP.put(568, "绿尺蛾");
        CODE_NAME_MAP.put(569, "昏舟蛾");
        CODE_NAME_MAP.put(570, "柳干蠹蛾");
        CODE_NAME_MAP.put(571, "霜尺蛾");
        CODE_NAME_MAP.put(572, "斑虻");
        CODE_NAME_MAP.put(573, "银光草螟");
        CODE_NAME_MAP.put(574, "菜蛾");
        CODE_NAME_MAP.put(575, "豆荚螟");
        CODE_NAME_MAP.put(576, "苜蓿夜蛾");
        CODE_NAME_MAP.put(577, "白肾夜蛾");
        CODE_NAME_MAP.put(578, "白肾灰夜蛾");
        CODE_NAME_MAP.put(579, "纯白草螟");
        CODE_NAME_MAP.put(580, "茸喙丽金龟");
        CODE_NAME_MAP.put(581, "蛇蛉");
        CODE_NAME_MAP.put(582, "巨蝼步甲");
        CODE_NAME_MAP.put(583, "蜣蝇");
        CODE_NAME_MAP.put(584, "贯众伸喙尺蛾");
        CODE_NAME_MAP.put(585, "小褐髯须夜蛾");
        CODE_NAME_MAP.put(586, "泰山簇斑螟");
        CODE_NAME_MAP.put(587, "白桦角须野螟");
        CODE_NAME_MAP.put(588, "红黄野螟");
        CODE_NAME_MAP.put(589, "黑点蚀叶野螟");
        CODE_NAME_MAP.put(590, "木蠹蛾");
        CODE_NAME_MAP.put(591, "白线散纹夜蛾");
        CODE_NAME_MAP.put(592, "灰蝶尺蛾");
        CODE_NAME_MAP.put(593, "杠柳原野螟");
        CODE_NAME_MAP.put(594, "幔折线尺蛾");
        CODE_NAME_MAP.put(595, "丽蝇");
        CODE_NAME_MAP.put(596, "并脉岐角螟蛾");
        CODE_NAME_MAP.put(597, "柿星尺蛾");
        CODE_NAME_MAP.put(598, "黑斑蚀叶野螟");
        CODE_NAME_MAP.put(599, "黄连木尺蠖");
        CODE_NAME_MAP.put(601, "黑皱鳃金龟");
        CODE_NAME_MAP.put(602, "中华薄翅天牛");
        CODE_NAME_MAP.put(603, "锈红金龟");
        CODE_NAME_MAP.put(604, "盾天蛾");
        CODE_NAME_MAP.put(605, "短斑普猎蝽");
        CODE_NAME_MAP.put(606, "线委夜蛾");
        CODE_NAME_MAP.put(607, "云纹虎甲");
        CODE_NAME_MAP.put(608, "漆黑污灯蛾");
        CODE_NAME_MAP.put(609, "松毛虫");
        CODE_NAME_MAP.put(610, "紫带姬尺蛾");
        CODE_NAME_MAP.put(611, "螳蛉");
        CODE_NAME_MAP.put(612, "花胫绿纹蝗");
        CODE_NAME_MAP.put(613, "东北巾夜蛾");
        CODE_NAME_MAP.put(614, "柯基纹丛螟");
        CODE_NAME_MAP.put(615, "菜氏猛叩甲");
        CODE_NAME_MAP.put(616, "星尺蛾");
        CODE_NAME_MAP.put(617, "华扁犀金龟");
        CODE_NAME_MAP.put(618, "环纹夜蛾");
        CODE_NAME_MAP.put(619, "金星尺蛾");
        CODE_NAME_MAP.put(620, "旅游瓢虫");
        CODE_NAME_MAP.put(621, "鼠天蛾");
        CODE_NAME_MAP.put(622, "紫条尺蛾");
        CODE_NAME_MAP.put(623, "明痣苔蛾");
        CODE_NAME_MAP.put(624, "褐网尺蛾");
        CODE_NAME_MAP.put(625, "三叉地老虎");
        CODE_NAME_MAP.put(626, "肖二线绿尺蛾");
        CODE_NAME_MAP.put(627, "四星尺蛾");
        CODE_NAME_MAP.put(628, "红黏夜蛾");
        CODE_NAME_MAP.put(629, "小花波尺蛾");
        CODE_NAME_MAP.put(630, "朽木甲");
        CODE_NAME_MAP.put(631, "灰猎夜蛾");
        CODE_NAME_MAP.put(632, "稻巢草螟");
        CODE_NAME_MAP.put(633, "指角麦蛾");
        CODE_NAME_MAP.put(634, "金盅尺蛾");
        CODE_NAME_MAP.put(635, "截翅尺蛾");
        CODE_NAME_MAP.put(636, "双线尺蛾");
        CODE_NAME_MAP.put(637, "平紫脖夜蛾");
        CODE_NAME_MAP.put(638, "沤泊波纹蛾");
        CODE_NAME_MAP.put(639, "白污灯蛾");
        CODE_NAME_MAP.put(641, "格庶尺蛾");
        CODE_NAME_MAP.put(642, "斑蛾");
        CODE_NAME_MAP.put(643, "羽舟蛾");
        CODE_NAME_MAP.put(644, "苹小卷叶蛾");
        CODE_NAME_MAP.put(645, "稻水螟");
        CODE_NAME_MAP.put(646, "苹烟尺蛾");
        CODE_NAME_MAP.put(647, "蚕豆紫脖蛾");
        CODE_NAME_MAP.put(648, "平夜蛾");
        CODE_NAME_MAP.put(649, "焚紫脖夜蛾");
        CODE_NAME_MAP.put(650, "贯众伸喙野螟");
        CODE_NAME_MAP.put(651, "尖瓣灰纹卷蛾");
        CODE_NAME_MAP.put(652, "摊巨冬夜蛾");
        CODE_NAME_MAP.put(653, "草莓尺蛾");
        CODE_NAME_MAP.put(654, "白缘苇野螟");
        CODE_NAME_MAP.put(655, "核桃星尺蛾");
        CODE_NAME_MAP.put(656, "郭公虫");
        CODE_NAME_MAP.put(657, "明纹柏松毛虫");
        CODE_NAME_MAP.put(658, "褐线尺蛾");
        CODE_NAME_MAP.put(659, "旋歧夜蛾");
        CODE_NAME_MAP.put(660, "黄山松毛虫");
        CODE_NAME_MAP.put(661, "直紫脖夜蛾");
        CODE_NAME_MAP.put(662, "红云翅斑螟");
        CODE_NAME_MAP.put(663, "黄灯蛾");
        CODE_NAME_MAP.put(664, "家蝇");
        CODE_NAME_MAP.put(665, "黄翅缀叶野螟");
        CODE_NAME_MAP.put(666, "枣核六点天蛾");
        CODE_NAME_MAP.put(667, "福婆鳃金龟");
        CODE_NAME_MAP.put(668, "长眉眼尺蛾");
        CODE_NAME_MAP.put(669, "夏枯草展须野螟");
        CODE_NAME_MAP.put(670, "白背飞虱");
        CODE_NAME_MAP.put(671, "灰飞虱");
        CODE_NAME_MAP.put(672, "褐飞虱");
        CODE_NAME_MAP.put(673, "网纹夜蛾");
        CODE_NAME_MAP.put(674, "斑螟");
        CODE_NAME_MAP.put(675, "核桃目尺蛾");
        CODE_NAME_MAP.put(676, "灰棕金羽蛾");
        CODE_NAME_MAP.put(677, "艾棕麦蛾");
        CODE_NAME_MAP.put(678, "蝶角蛉");
        CODE_NAME_MAP.put(679, "豹蠹蛾");
        CODE_NAME_MAP.put(681, "云星黄毒蛾");
        CODE_NAME_MAP.put(682, "锯线尺蛾");
        CODE_NAME_MAP.put(683, "紫斑黄带蛾");
        CODE_NAME_MAP.put(684, "绿蝇");
        CODE_NAME_MAP.put(485, "大云斑鳃金龟");
        CODE_NAME_MAP.put(686, "血红雪苔蛾");
        CODE_NAME_MAP.put(687, "果蝇");
        CODE_NAME_MAP.put(688, "纹散灯蛾");
        CODE_NAME_MAP.put(689, "排点灯蛾");
        CODE_NAME_MAP.put(690, "白钩黏夜蛾");
        CODE_NAME_MAP.put(691, "黄毛赛金龟");
        CODE_NAME_MAP.put(692, "新林舟蛾");
        CODE_NAME_MAP.put(693, "井夜蛾");
        CODE_NAME_MAP.put(694, "花实夜蛾");
        CODE_NAME_MAP.put(695, "棉褐带卷蛾");
        CODE_NAME_MAP.put(696, "卷叶蛾");
        CODE_NAME_MAP.put(697, "王氏樗蛾");
        CODE_NAME_MAP.put(698, "刺槐外斑尺蛾");
        CODE_NAME_MAP.put(699, "懈毛胫夜蛾");
        CODE_NAME_MAP.put(700, "糜夜蛾");
        CODE_NAME_MAP.put(701, "东方小垫甲");
        CODE_NAME_MAP.put(702, "蚁形甲");
        CODE_NAME_MAP.put(703, "十二斑褐菌瓢虫");
        CODE_NAME_MAP.put(704, "明治苔蛾");
        CODE_NAME_MAP.put(705, "葡萄卷叶野螟");
        CODE_NAME_MAP.put(706, "大青叶蝉");
        CODE_NAME_MAP.put(707, "绢野螟");
        CODE_NAME_MAP.put(708, "柳圆叶甲");
        CODE_NAME_MAP.put(709, "蜘蛛");
        CODE_NAME_MAP.put(710, "隐翅甲");
        CODE_NAME_MAP.put(711, "钩月天蛾");
        CODE_NAME_MAP.put(712, "寄生蜂");
        CODE_NAME_MAP.put(713, "苍蝇");
        CODE_NAME_MAP.put(714, "灰直纵螟");
        CODE_NAME_MAP.put(715, "倭委夜蛾");
        CODE_NAME_MAP.put(716, "小菜蛾");
        CODE_NAME_MAP.put(717, "小地老虎螟");
        CODE_NAME_MAP.put(718, "中黑盲蝽");
        CODE_NAME_MAP.put(719, "粪蜣");
        CODE_NAME_MAP.put(721, "壶夜蛾");
        CODE_NAME_MAP.put(722, "螽斯");
        CODE_NAME_MAP.put(723, "食叶");
        CODE_NAME_MAP.put(724, "平台珠蝼步甲");
        CODE_NAME_MAP.put(725, "李枯叶蛾");
        CODE_NAME_MAP.put(726, "春蜓");
        CODE_NAME_MAP.put(727, "点斑雪灯蛾");
        CODE_NAME_MAP.put(728, "黄臂灯蛾");
        CODE_NAME_MAP.put(729, "旅裳夜蛾");
        CODE_NAME_MAP.put(730, "三角夜蛾");
        CODE_NAME_MAP.put(731, "蠋步甲");
        CODE_NAME_MAP.put(732, "红羽舟蛾");
        CODE_NAME_MAP.put(733, "黑蚱蝉");
        CODE_NAME_MAP.put(734, "中华黛尺蛾");
        CODE_NAME_MAP.put(735, "苜蓿尺蛾");
        CODE_NAME_MAP.put(736, "沤伯波纹蛾");
        CODE_NAME_MAP.put(737, "灰灯蛾");
        CODE_NAME_MAP.put(738, "双裂类荚斑螟");
        CODE_NAME_MAP.put(739, "蓝纹尾蟌");
        CODE_NAME_MAP.put(740, "莴苣冬夜蛾");
        CODE_NAME_MAP.put(741, "两色绮夜蛾");
        CODE_NAME_MAP.put(742, "豹灯蛾");
        CODE_NAME_MAP.put(743, "四眼尺蛾");
        CODE_NAME_MAP.put(744, "核桃六点天蛾");
        CODE_NAME_MAP.put(745, "无");
        CODE_NAME_MAP.put(746, "黄柄脉锦斑蛾");
        CODE_NAME_MAP.put(747, "甜菜白带螟");
        CODE_NAME_MAP.put(748, "大隐翅虫");
        CODE_NAME_MAP.put(749, "羽蛾");
        CODE_NAME_MAP.put(750, "灰褐带蛾");
        CODE_NAME_MAP.put(751, "带蛾");
        CODE_NAME_MAP.put(752, "窗胸萤");
        CODE_NAME_MAP.put(753, "蝶灯蛾");
        CODE_NAME_MAP.put(754, "黄蜻");
        CODE_NAME_MAP.put(755, "伊贝鹿蛾");
        CODE_NAME_MAP.put(756, "褐顶毒蛾");
        CODE_NAME_MAP.put(757, "愕蚕蛾");
        CODE_NAME_MAP.put(758, "黄野螟");
        CODE_NAME_MAP.put(759, "云尺蛾");
        CODE_NAME_MAP.put(761, "马蜂");
        CODE_NAME_MAP.put(762, "赤条黄带蛾");
        CODE_NAME_MAP.put(763, "茸喙丽金龟");
        CODE_NAME_MAP.put(764, "猩红雪苔蛾");
        CODE_NAME_MAP.put(765, "齿蛉");
        CODE_NAME_MAP.put(766, "草蝉");
        CODE_NAME_MAP.put(767, "鬼脸天蛾");
        CODE_NAME_MAP.put(768, "小造桥虫");
        CODE_NAME_MAP.put(769, "异美苔蛾");
        CODE_NAME_MAP.put(770, "旋目夜蛾");
        CODE_NAME_MAP.put(771, "稻飞虱");
        CODE_NAME_MAP.put(772, "小阔胫鳃金龟");
        CODE_NAME_MAP.put(773, "杨卷叶螟");
        CODE_NAME_MAP.put(774, "龟纹夜蛾");
        CODE_NAME_MAP.put(775, "小阔胫鳃金龟");
        CODE_NAME_MAP.put(776, "白灯蛾");
        CODE_NAME_MAP.put(777, "绿翠尺蛾");
        CODE_NAME_MAP.put(778, "白灯蛾");
        CODE_NAME_MAP.put(779, "食虫虻");
        CODE_NAME_MAP.put(780, "邑蝽");
        CODE_NAME_MAP.put(781, "青翅毒隐翅甲");
        CODE_NAME_MAP.put(782, "黑条灰天蛾");
        CODE_NAME_MAP.put(783, "黄腹鹿蛾");
        CODE_NAME_MAP.put(784, "蓟马");
        CODE_NAME_MAP.put(785, "蚂蚁");
        CODE_NAME_MAP.put(786, "啮虫");
        CODE_NAME_MAP.put(787, "小蜂");
        CODE_NAME_MAP.put(788, "粉虱");
        CODE_NAME_MAP.put(789, "蛾蠓");
        CODE_NAME_MAP.put(790, "跳甲");
        CODE_NAME_MAP.put(791, "木虱");
        CODE_NAME_MAP.put(792, "黑带灰灯蛾");
        CODE_NAME_MAP.put(793, "水鼓甲");
        CODE_NAME_MAP.put(794, "细蜂");
        CODE_NAME_MAP.put(795, "网蝽");
        CODE_NAME_MAP.put(796, "鹿蛾");
        CODE_NAME_MAP.put(797, "茧蜂");
        CODE_NAME_MAP.put(798, "实蝇");
        CODE_NAME_MAP.put(799, "茎甲");
        CODE_NAME_MAP.put(801, "浩波纹蛾");
        CODE_NAME_MAP.put(802, "红尾天蚕蛾");
        CODE_NAME_MAP.put(803, "槐黑星虎天牛");
        CODE_NAME_MAP.put(804, "赤巢螟");
        CODE_NAME_MAP.put(805, "日愕蚕蛾");
        CODE_NAME_MAP.put(806, "变色夜蛾");
        CODE_NAME_MAP.put(807, "掌夜蛾");
        CODE_NAME_MAP.put(808, "宽夜蛾");
        CODE_NAME_MAP.put(809, "二尾舟蛾");
        CODE_NAME_MAP.put(810, "茶须野螟");
        CODE_NAME_MAP.put(811, "白带符夜蛾");
        CODE_NAME_MAP.put(812, "白蚁");
        CODE_NAME_MAP.put(813, "中华鼻蜡蝉");
        CODE_NAME_MAP.put(814, "黄斑青步甲");
        CODE_NAME_MAP.put(815, "茶柄脉锦斑蛾");
        CODE_NAME_MAP.put(816, "双斑天蛾");
        CODE_NAME_MAP.put(817, "中华斑杧");
        CODE_NAME_MAP.put(818, "污刺胸猎蝽");
        CODE_NAME_MAP.put(819, "奇裂附步甲");
        CODE_NAME_MAP.put(820, "大光蠊");
        CODE_NAME_MAP.put(821, "蚱蜢");
        CODE_NAME_MAP.put(822, "纹眼尺蛾");
        CODE_NAME_MAP.put(823, "栉尾尺蛾");
        CODE_NAME_MAP.put(824, "木撩尺蛾");
        CODE_NAME_MAP.put(825, "黄灰网尺蛾");
        CODE_NAME_MAP.put(826, "幕僚尺蛾");
        CODE_NAME_MAP.put(827, "青球箩纹蛾");
        CODE_NAME_MAP.put(828, "暗脉艳苔蛾");
        CODE_NAME_MAP.put(829, "窄黄缘绿刺蛾");
        CODE_NAME_MAP.put(830, "黄星尺蛾");
        CODE_NAME_MAP.put(831, "锤角细蜂");
        CODE_NAME_MAP.put(832, "行军蚁");
        CODE_NAME_MAP.put(833, "沫蝉");
        CODE_NAME_MAP.put(834, "赭黄长须蛾");
        CODE_NAME_MAP.put(835, "稻摇蚊");
        CODE_NAME_MAP.put(836, "稻盲蝽");
        CODE_NAME_MAP.put(837, "基黑纹丛螟");
        CODE_NAME_MAP.put(838, "蚜蝇");
        CODE_NAME_MAP.put(839, "枯叶夜蛾");
        CODE_NAME_MAP.put(841, "负泥虫");
        CODE_NAME_MAP.put(842, "蛾蜡蝉");
        CODE_NAME_MAP.put(843, "粤豹大蚕蛾");
        CODE_NAME_MAP.put(844, "东北栎枯叶蛾");
        CODE_NAME_MAP.put(845, "仰蝽");
        CODE_NAME_MAP.put(846, "毒隐翅甲");
        CODE_NAME_MAP.put(847, "黄曲条跳甲");
        CODE_NAME_MAP.put(848, "蚊幼虫");
        CODE_NAME_MAP.put(849, "黑带污灯蛾");
        CODE_NAME_MAP.put(850, "黄褐枯叶蝶");
        CODE_NAME_MAP.put(851, "莹叶甲");
        CODE_NAME_MAP.put(852, "拟叩甲");
        CODE_NAME_MAP.put(853, "泥蜂");
        CODE_NAME_MAP.put(854, "蜉蝣幼虫");
        CODE_NAME_MAP.put(855, "单鲁夜蛾");
        CODE_NAME_MAP.put(856, "干纹夜蛾");
        CODE_NAME_MAP.put(857, "斑头蝉");
        CODE_NAME_MAP.put(858, "大三角鲁夜蛾");
        CODE_NAME_MAP.put(859, "中华岱蝽");
        CODE_NAME_MAP.put(860, "豇豆荚螟");
        CODE_NAME_MAP.put(861, "中华鹿蛾");
        CODE_NAME_MAP.put(862, "三线钩蛾");
        CODE_NAME_MAP.put(863, "竹节虫");
        CODE_NAME_MAP.put(864, "枯黄惑尺蛾");
        CODE_NAME_MAP.put(865, "棘趾野螟");
        CODE_NAME_MAP.put(866, "尖锥额野螟");
        CODE_NAME_MAP.put(867, "甜菜白带野螟");
        CODE_NAME_MAP.put(868, "丽刺小卷蛾");
        CODE_NAME_MAP.put(869, "日球箩纹蛾");
        CODE_NAME_MAP.put(870, "半鲁夜蛾");
        CODE_NAME_MAP.put(871, "间纹德夜蛾");
        CODE_NAME_MAP.put(872, "杨雪毒蛾");
        CODE_NAME_MAP.put(873, "贡尺蛾");
        CODE_NAME_MAP.put(874, "忍冬双斜卷蛾");
        CODE_NAME_MAP.put(875, "瓜夜蛾");
        CODE_NAME_MAP.put(876, "褐卷蛾");
        CODE_NAME_MAP.put(877, "绿黄毛虫");
        CODE_NAME_MAP.put(878, "赭翅臂花金龟");
        CODE_NAME_MAP.put(879, "黄痣苔蛾");
        CODE_NAME_MAP.put(881, "浅褐彩丽金龟");
        CODE_NAME_MAP.put(882, "斑黑麦蛾");
        CODE_NAME_MAP.put(883, "褐斑虎丽灯蛾");
        CODE_NAME_MAP.put(884, "耳斑蟠尺蛾");
        CODE_NAME_MAP.put(885, "北李褐枯叶蛾");
        CODE_NAME_MAP.put(886, "纹岐角螟");
        CODE_NAME_MAP.put(887, "银二星舟蛾");
        CODE_NAME_MAP.put(888, "著蕊尾舟蛾");
        CODE_NAME_MAP.put(889, "黄褐网尺蛾");
        CODE_NAME_MAP.put(890, "丸尺蛾");
        CODE_NAME_MAP.put(891, "粉蝶");
        CODE_NAME_MAP.put(892, "乌桕巨天蚕蛾");
        CODE_NAME_MAP.put(893, "黑长喙天蛾");
        CODE_NAME_MAP.put(894, "伞双突野螟");
        CODE_NAME_MAP.put(895, "瘿蚊");
        CODE_NAME_MAP.put(896, "芫菁");
        CODE_NAME_MAP.put(897, "较高");
        CODE_NAME_MAP.put(898, "鹰尺蛾");
        CODE_NAME_MAP.put(899, "三环狭野螟");
        CODE_NAME_MAP.put(900, "姬蠊");
        CODE_NAME_MAP.put(901, "朝尺蛾");
        CODE_NAME_MAP.put(902, "紫光箩纹蛾");
        CODE_NAME_MAP.put(903, "短啄夜蛾");
        CODE_NAME_MAP.put(904, "碧伟蜓");
        CODE_NAME_MAP.put(905, "核桃美州蛾");
        CODE_NAME_MAP.put(906, "梨娜刺蛾");
        CODE_NAME_MAP.put(907, "枯球箩纹蛾");
        CODE_NAME_MAP.put(908, "蜓");
        CODE_NAME_MAP.put(909, "二星舟蛾");
        CODE_NAME_MAP.put(910, "朝线夜蛾");
        CODE_NAME_MAP.put(911, "明裙剑夜蛾");
        CODE_NAME_MAP.put(912, "白点暗野螟");
        CODE_NAME_MAP.put(913, "麟角希夜蛾");
        CODE_NAME_MAP.put(914, "眼尺蛾");
        CODE_NAME_MAP.put(915, "黄双线尺蛾");
        CODE_NAME_MAP.put(916, "联梦尼夜蛾");
        CODE_NAME_MAP.put(917, "栎毛虫");
        CODE_NAME_MAP.put(918, "宏遗夜蛾");
        CODE_NAME_MAP.put(919, "太波纹蛾");
        CODE_NAME_MAP.put(921, "小斑红蝽");
        CODE_NAME_MAP.put(922, "柳沟胸跳甲");
        CODE_NAME_MAP.put(923, "田鳖");
        CODE_NAME_MAP.put(924, "条螽");
        CODE_NAME_MAP.put(925, "角石蛾");
        CODE_NAME_MAP.put(926, "缺叉等翅石蛾");
        CODE_NAME_MAP.put(927, "尖双突野螟");
        CODE_NAME_MAP.put(928, "锈色负子蝽");
        CODE_NAME_MAP.put(929, "茶白毒蛾");
        CODE_NAME_MAP.put(930, "硃美苔蛾");
        CODE_NAME_MAP.put(931, "齿缘龙虱");
        CODE_NAME_MAP.put(932, "醋栗尺蛾");
        CODE_NAME_MAP.put(933, "强污灯蛾");
        CODE_NAME_MAP.put(934, "稻弄蝶");
        CODE_NAME_MAP.put(935, "妃夜蛾");
        CODE_NAME_MAP.put(936, "白鳃角金龟");
        CODE_NAME_MAP.put(937, "棉褐环野螟");
        CODE_NAME_MAP.put(938, "暗褐卷蛾");
        CODE_NAME_MAP.put(939, "梯斑谷蛾");
        CODE_NAME_MAP.put(940, "点线脉褐蛉");
        CODE_NAME_MAP.put(941, "桃展足蛾");
        CODE_NAME_MAP.put(942, "草小卷蛾");
        CODE_NAME_MAP.put(943, "中黑灰夜蛾");
        CODE_NAME_MAP.put(944, "小瘿斑蛾");
        CODE_NAME_MAP.put(945, "马铃薯瓢虫");
        CODE_NAME_MAP.put(946, "点线锦织蛾");
        CODE_NAME_MAP.put(947, "圆臀大黾蝽");
        CODE_NAME_MAP.put(948, "双红线兔尺蛾");
        CODE_NAME_MAP.put(949, "腰带燕尾舟蛾");
        CODE_NAME_MAP.put(950, "密云草蛾");
        CODE_NAME_MAP.put(951, "女贞首夜蛾");
        CODE_NAME_MAP.put(952, "星天蛾");
        CODE_NAME_MAP.put(953, "红毛花萤");
        CODE_NAME_MAP.put(954, "库蚊");
        CODE_NAME_MAP.put(955, "鲁夜蛾");
        CODE_NAME_MAP.put(956, "黄粉甲");
        CODE_NAME_MAP.put(957, "赞青尺蛾");
        CODE_NAME_MAP.put(958, "窄肾长须夜蛾");
        CODE_NAME_MAP.put(959, "污灯蛾");
        CODE_NAME_MAP.put(961, "波纹小灰蝶");
        CODE_NAME_MAP.put(962, "透翅蛾");
        CODE_NAME_MAP.put(963, "苜蓿盲蝽");
        CODE_NAME_MAP.put(964, "扭拟灯蛾");
        CODE_NAME_MAP.put(965, "安土苔蛾");
        CODE_NAME_MAP.put(966, "日污灯蛾");
        CODE_NAME_MAP.put(967, "柞褐叶螟");
        CODE_NAME_MAP.put(968, "乌柏黄毒蛾");
        CODE_NAME_MAP.put(969, "黄绒野螟");
        CODE_NAME_MAP.put(970, "浅黄箩舟蛾");
        CODE_NAME_MAP.put(971, "半带黄毒蛾");
        CODE_NAME_MAP.put(972, "钩翅大蚕蛾");
        CODE_NAME_MAP.put(973, "肖叶甲");
        CODE_NAME_MAP.put(974, "切叶蜂");
        CODE_NAME_MAP.put(975, "女贞尺蛾");
        CODE_NAME_MAP.put(976, "单斑多形长角纹石蛾");
        CODE_NAME_MAP.put(977, "格蔗尺蛾");
        CODE_NAME_MAP.put(978, "象蜡蝉");
        CODE_NAME_MAP.put(979, "丽美苔蛾");
        CODE_NAME_MAP.put(980, "苹小卷蛾");
        CODE_NAME_MAP.put(981, "合欢双条天牛");
        CODE_NAME_MAP.put(982, "折带黄毒蛾");
        CODE_NAME_MAP.put(983, "齿翅三线天蛾");
        CODE_NAME_MAP.put(984, "广屁步甲");
        CODE_NAME_MAP.put(985, "栎掌天蛾");
        CODE_NAME_MAP.put(986, "异螋");
        CODE_NAME_MAP.put(987, "中国假蜉");
        CODE_NAME_MAP.put(988, "犬蚊");
        CODE_NAME_MAP.put(989, "暗步甲");
        CODE_NAME_MAP.put(990, "栗山天牛");
        CODE_NAME_MAP.put(991, "净污灯蛾");
        CODE_NAME_MAP.put(992, "毛颊斑虎甲");
        CODE_NAME_MAP.put(993, "优草螽");
        CODE_NAME_MAP.put(994, "斑雅尺蛾");
        CODE_NAME_MAP.put(995, "肿须隐翅虫");
        CODE_NAME_MAP.put(996, "金盏供肩网蛾");
        CODE_NAME_MAP.put(997, "绿翅绢野螟");
        CODE_NAME_MAP.put(998, "蚱蝉");
        CODE_NAME_MAP.put(999, "八点污灯蛾");
        CODE_NAME_MAP.put(1001, "联纹小叶春蜓");
        CODE_NAME_MAP.put(1002, "奇烈跗步甲");
        CODE_NAME_MAP.put(1003, "尖突水龟虫");
        CODE_NAME_MAP.put(1004, "长蠹");
        CODE_NAME_MAP.put(1005, "黄足猎蝽");
        CODE_NAME_MAP.put(1006, "脊冠叶蝉");
        CODE_NAME_MAP.put(1007, "珀色毒蛾");
        CODE_NAME_MAP.put(1008, "长角水叶甲");
        CODE_NAME_MAP.put(1009, "稻蝗");
        CODE_NAME_MAP.put(1010, "白线野蚕蛾");
        CODE_NAME_MAP.put(1011, "赤双纹螟");
        CODE_NAME_MAP.put(1012, "峦文夜蛾");
        CODE_NAME_MAP.put(1013, "草螽");
        CODE_NAME_MAP.put(1014, "扶桑四点野螟");
        CODE_NAME_MAP.put(1015, "大鳖土蝽");
        CODE_NAME_MAP.put(1016, "赤梗天牛");
        CODE_NAME_MAP.put(1017, "连星污灯蛾");
        CODE_NAME_MAP.put(1018, "华星天牛");
        CODE_NAME_MAP.put(1019, "紫苑沟胫野螟");
        CODE_NAME_MAP.put(1020, "栎鹰翅天蛾");
        CODE_NAME_MAP.put(1021, "折无疆青尺蛾");
        CODE_NAME_MAP.put(1022, "一点拟灯蛾");
        CODE_NAME_MAP.put(1023, "蜡斑甲");
        CODE_NAME_MAP.put(1024, "细蛾");
        CODE_NAME_MAP.put(1025, "滨尸葬甲");
        CODE_NAME_MAP.put(1026, "白雪苔蛾");
        CODE_NAME_MAP.put(1027, "横线镰翅野螟");
        CODE_NAME_MAP.put(1028, "褐翅棘趾野螟");
        CODE_NAME_MAP.put(1029, "甜菜白带夜蛾");
        CODE_NAME_MAP.put(1030, "梨叶斑蛾");
        CODE_NAME_MAP.put(1031, "钩白肾夜蛾");
        CODE_NAME_MAP.put(1032, "红晕散纹夜蛾");
        CODE_NAME_MAP.put(1033, "蜡蝉");
        CODE_NAME_MAP.put(1034, "肾纹绿尺蛾");
        CODE_NAME_MAP.put(1035, "条螟");
        CODE_NAME_MAP.put(1036, "双斑黄毒蛾");
        CODE_NAME_MAP.put(1037, "大绿异丽金龟");
        CODE_NAME_MAP.put(1038, "双带褐褶龙虱");
        CODE_NAME_MAP.put(1039, "金色悦野螟");
        CODE_NAME_MAP.put(1041, "槐刺外斑尺蛾");
        CODE_NAME_MAP.put(1042, "金斑虎甲");
        CODE_NAME_MAP.put(1043, "油桐尺蛾");
        CODE_NAME_MAP.put(1044, "元参棘趾野螟");
        CODE_NAME_MAP.put(1045, "铜绿异丽金龟");
        CODE_NAME_MAP.put(1046, "绿蝽");
        CODE_NAME_MAP.put(1047, "黑织叶野螟");
        CODE_NAME_MAP.put(1048, "黄斑长朽木甲");
        CODE_NAME_MAP.put(1049, "元岑棘趾野螟");
        CODE_NAME_MAP.put(1050, "窄吉丁");
        CODE_NAME_MAP.put(1051, "美雪苔蛾");
        CODE_NAME_MAP.put(1052, "散白蚁");
        CODE_NAME_MAP.put(1053, "四斑露尾甲");
        CODE_NAME_MAP.put(1054, "红点唇瓢虫");
        CODE_NAME_MAP.put(1055, "平烟尺蛾");
        CODE_NAME_MAP.put(1056, "白蜡卷须野螟");
        CODE_NAME_MAP.put(1057, "印度斑谷螟");
        CODE_NAME_MAP.put(1058, "杨芦伸啄野螟");
        CODE_NAME_MAP.put(1059, "井脉歧角螟蛾");


    }
}
